Update a Load Balancer profile
curl --request POST \
--url https://api.bunny.net/loadbalancer/{loadBalancerId} \
--header 'AccessKey: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"Name": "<string>"
}
'import requests
url = "https://api.bunny.net/loadbalancer/{loadBalancerId}"
payload = { "Name": "<string>" }
headers = {
"AccessKey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {AccessKey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({Name: '<string>'})
};
fetch('https://api.bunny.net/loadbalancer/{loadBalancerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"LoadBalancerId": 123,
"Name": "<string>",
"OriginGroups": [
{
"Id": 123,
"Name": "<string>",
"Enabled": true,
"Latitude": 123,
"Longitude": 123,
"Weight": 123,
"Priority": 123,
"Origins": [
{
"Id": 123,
"Weight": 123,
"Enabled": true,
"EdgeScriptId": 123,
"StorageZoneId": 123,
"StandardOrigin": {
"OriginUrl": "<string>",
"HostHeader": "<string>",
"VerifySsl": true
},
"MagicContainersOrigin": {
"AppId": "<string>",
"EndPointId": "<string>"
}
}
],
"HealthCheckSettings": {
"Enabled": true,
"Path": "<string>"
}
}
]
}{
"ErrorKey": "<string>",
"Field": "<string>",
"Message": "<string>"
}{
"ErrorKey": "<string>",
"Field": "<string>",
"Message": "<string>"
}Load Balancer
Update a Load Balancer profile
POST
/
loadbalancer
/
{loadBalancerId}
Update a Load Balancer profile
Authorizations
AccessKeybearer
API Access Key authorization header
Path Parameters
Body
application/json
The model for updating the Load Balancer profile
The name of the Load Balancer profile
The sticky session type to use for persisting client to an origin
Available options:
0, 1 The load balancing method used for selecting origin groups
Available options:
0, 1, 2, 3 Response
The updated Load Balancer profile
The unique ID of the Load Balancer
The name of the Load Balancer profile
The load balancing method used for selecting origin groups
Available options:
0, 1, 2, 3 The sticky session type used for persisting client sessions
Available options:
0, 1 The list of origin groups associated with the Load Balancer profile
Show child attributes
Show child attributes
Last modified on August 6, 2026
⌘I